<template>
  <div class="steel_inbound">
    <div class="sache">
      <el-input placeholder="请输入内容" v-model="textInput" clearable>
      </el-input>
      <el-button
        type="primary"
        class="btn"
        @click="onclick"
        :loading="selectLoading"
      >
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" class="btn" @click="toInsert">
        <i class="el-icon-plus"></i>新增
      </el-button>
  
      <!-- <el-button type="primary" @click="exportAllExcel()"
        ><i class="el-icon-download"></i>导出(Excel)
      </el-button> -->
    </div>
    <div class="table">
      <dilTable
        ref="excelDom"
        v-bind.sync="options"
        :loading="tableloading"
        @func="func"
        :isKuang="isKuang"
      >
        <el-table-column fixed="right" label="操作" width="50">
          <template slot-scope="scope">
            <!-- <el-button
              type="text"
              size="small"
              @click="updateReceivingCompany(scope.row.capacityCarrierId)"
            >
              修改
            </el-button> -->
            <el-button
              type="text"
              size="small"
              @click="deleteReceivingCompany(scope.row)"
            >
              删除
            </el-button>
            <!-- <el-button
              type="text"
              size="small"
              @click="showReceivingCompany(scope.row.capacityId)"
              v-if="show == false"
            >
              查看详情
            </el-button> -->
          </template>
        </el-table-column>
      </dilTable>
    </div>
  </div>
</template>
<script>
import { getCookie } from "@/utils/util.js";
export default {
  data() {
    return {
      selectLoading: false,
      isKuang: false,
      tableloading: false,
      show: false,
      name: "homeworkPath",
      textInput: "",
      restaurants: [],
      ssoId: null,
      options: {
        // first请求数据的地址
        requestUrl: "/api/v1/rms/getReceiveCompany?apiId=525"
      },
      noSettleDetailsColumn: [],
      exportAllList:[]
    };
  },
  created() {
  },
  methods: {
    func(res) {
      if (this.tableloading) {
        this.tableloading = false;
      }
      if (this.isKuang) {
        this.isKuang = false;
      }
      if (this.selectLoading) {
        this.selectLoading = false;
      }
    },
    onclick() {
      this.isKuang = true;
      this.tableloading = true;
      this.selectLoading = true;
      this.options.requestUrl="/api/v1/rms/getReceiveCompany?apiId=525&con="+this.textInput+"&i="+new Date();
    },
    toInsert() {
      this.$router.push("/addReceivingCompany");
    },
    updateReceivingCompany(capacityCarrierId) {
      // console.log("capacityCarrierId" +capacityCarrierId);
      this.$router.push("/editCapacity/" + capacityCarrierId);
    },
    showReceivingCompany(capacityId) {
      this.$router.push("/showReceivingCompany/" + capacityId);
    },
    deleteUser(userId) {
      this.axios.delete("pass/v1/sysusers/" + userId).then(res => {});
    },
    deleteReceivingCompany(row) {
      console.log("row", row);
      console.log(row);
        this.$confirm(
          "是否删除?",
          "提示",
          {
            confirmButtonText: "确定",
            cancelButtonText: "取消",
            type: "warning"
          }
        ).then(() => {
            this.axios
              .post("/api/v1/rms/deleteReceiveCompany/"+row.companyId)
              .then(res => {
                this.onclick();
                this.$message.success("删除成功!");
          });
          })
          .catch(() => {
            this.$message({
              type: "info",
              message: "已取消删除"
            });
          });
    }
  }
};
</script>
<style lang="scss" scode>
.steel_inbound {
  .sache {
    padding: 1.25rem 0.375rem;
    .el-input {
      width: 20%;
      margin-right: 1.25rem;
    }
  }
}
</style>
